Subject: Re: [PATCH] IPv4: unresolved multicast route cleanup

From: David Miller <[email-masked]>
Date: Mon, 10 May 2010 04:48:00 -0700 (PDT)

From: Andreas Meissner <[email-masked]>
Date: Mon, 10 May 2010 11:09:33 +0200

> from: Andreas Meissner <[email-masked]>
> 
> Fixes the expiration timer for unresolved multicast route entries.
> In case new multicast routing requests come in faster than the 
> expiration timeout occurs (e.g. zap through multicast TV streams), the 
> timer is prevented from being called at time for already existing entries.
> 
> Signed-off by: Andreas Meissner <[email-masked]>
> ---
> As the single timer is resetted to default whenever a new entry is made, 
> the timeout for existing unresolved entires are missed and/or not 
> updated. As a consequence new requests are denied when the limit of 
> unresolved entries has been reached because old entries live longer than 
> they are supposed to.
> The solution is to reset the timer only for the first unresolved entry 
> in the multicast routing cache. All other timers are already set and 
> updated correctly within the timer function itself by now.

Looks great, applied thanks!